This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1290306 - [RFE]eager-locking as a feature needs to be implemented
[RFE]eager-locking as a feature needs to be implemented
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 02:05 EST by Pranith Kumar K
Modified: 2017-03-06 01:51 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-06 01:51:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2015-12-10 02:05:18 EST
Description of problem:
we need a feature which reduces the number of network round trips. One way is to take full locks on file/directory and delay their unlock so that next modification operations can reuse them without going over network.

Note: The design may change as it is under discussion on #gluster-dev with xavi and Krutika.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Pranith Kumar K 2017-03-06 01:51:39 EST
EC also already has eager-lock, so it doesn't make much sense to implement this feature now.

Note You need to log in before you can comment on or make changes to this bug.